org.apache.ignite.ml.composition.boosting

## Class GDBModel

- java.lang.Object
- - org.apache.ignite.ml.composition.ModelsComposition<DecisionTreeModel>
  - - org.apache.ignite.ml.composition.boosting.GDBModel

- All Implemented Interfaces:
    Serializable, AutoCloseable, DeployableObject, Exportable<ModelsCompositionFormat>, IgniteModel<Vector,Double>, JSONWritable, Model<Vector,Double>

      public final class GDBModel
      extends ModelsComposition<DecisionTreeModel>
      implements JSONWritable

  GDB model.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.apache.ignite.ml.composition.ModelsComposition

      `models, predictionsAggregator`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GDBModel(List<? extends IgniteModel<Vector,Double>> models, WeightedPredictionsAggregator predictionsAggregator, IgniteFunction<Double,Double> internalToExternalLblMapping)` Creates an instance of GDBModel.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static GDBModel` | `fromJSON(Path path)` Loads RandomForestModel from JSON file.
    `Double` | `predict(Vector features)` Applies containing models to features and aggregate them to one prediction.
    `void` | `toJSON(Path path)`
    `GDBModel` | `withLblMapping(IgniteFunction<Double,Double> internalToExternalLblMapping)`

    - ### Methods inherited from class org.apache.ignite.ml.composition.ModelsComposition

      `getDependencies, getModels, getPredictionsAggregator, saveModel, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.ignite.ml.IgniteModel

      `andBefore, andThen, andThen, close, combine`

- - ### Constructor Detail

    - #### GDBModel

          public GDBModel(List<? extends IgniteModel<Vector,Double>> models,
                          WeightedPredictionsAggregator predictionsAggregator,
                          IgniteFunction<Double,Double> internalToExternalLblMapping)

      Creates an instance of GDBModel.
      Parameters:
        `models` - Models.
        `predictionsAggregator` - Predictions aggregator.
        `internalToExternalLblMapping` - Internal to external lbl mapping.

  - ### Method Detail

    - #### withLblMapping

          public GDBModel withLblMapping(IgniteFunction<Double,Double> internalToExternalLblMapping)

    - #### predict

          public Double predict(Vector features)

      Applies containing models to features and aggregate them to one prediction.
      Specified by:
        `predict` in interface `Model<Vector,Double>`
      Overrides:
        `predict` in class `ModelsComposition<DecisionTreeModel>`
      Parameters:
        `features` - Features vector.
      Returns:
        Estimation.

    - #### toJSON

          public void toJSON(Path path)

      Specified by:
        `toJSON` in interface `JSONWritable`

    - #### fromJSON

          public static GDBModel fromJSON(Path path)

      Loads RandomForestModel from JSON file.

${current.year} Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023